<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" [nzLoading]="isLoading[0]">
      <ng-template #profileTpl>
        <div nz-row nzGutter="6">
          <div nz-col nzSpan="8">
            <nz-tag [nzColor]="'gold'" style="margin-right: 5px">
              {{ 'Common.Level' | translate }}: {{ citizen?.experienceLevel }}
            </nz-tag>
          </div>
          <div nz-col nzSpan="8" style="text-align: center;">{{ citizen?.name }}</div>
          <div nz-col nzSpan="8" style="text-align: right;">
            <nz-tag [nzColor]="'green'" *ngIf="citizen && citizen.isOnline === true">
              Online
            </nz-tag>
            <nz-tag [nzColor]="'red'" *ngIf="citizen && citizen.isOnline === false">
              Offline
            </nz-tag>
          </div>
        </div>
      </ng-template>

      <div style="text-align: center;">
        <app-entity-avatar *ngIf="citizen" entityType="citizen" [(avatar)]="citizen.avatar"></app-entity-avatar>

        <div>
          {{ "Common.Location" | translate }}:
          <a style="margin-right: 5px" [routerLink]="['/region', citizen?.region?.id]">{{ citizen?.region?.name }}</a>
          <span *ngIf="citizen?.country">{{ "Citizen.of" | translate }}
            <a [routerLink]="['/country', citizen?.country?.id]">{{citizen?.country?.name | translate }}</a>
          </span>
        </div>

        <div *ngIf="citizen?.citizenship">
          {{ 'Citizen.Citizenship' | translate }}:
          <a [routerLink]="['/country', citizen?.citizenship?.id]">{{ citizen?.citizenship?.name }}</a>
        </div>
        <div *ngIf="!citizen?.citizenship">
          {{ 'Citizen.noCitizenship' | translate }}</div>
        <nz-divider></nz-divider>

        <button *ngIf="!isEntity && canFriend === true" class="button-basic" nz-button nzShape="round"
          (click)="addFriend()" nz-tooltip nzTooltipTitle='{{ "buttons.addFriend" | translate }}'>
          <i class="fas fa-user-plus"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round"
          [routerLink]="['/donate/citizen/', citizenId]" nz-tooltip
          nzTooltipTitle='{{ "Common.Buttons.Donate" | translate }}'>
          <i class="fas fa-donate"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round"
          [routerLink]="['/trade/citizen/', citizenId]" nz-tooltip
          nzTooltipTitle='{{ "Economy.Trade.Trad" | translate }}'>
          <i class="far fa-handshake"></i>
        </button>

        <button *ngIf="isMod" class="button-basic" nz-button nzShape="round" (click)="showModPanel()"
          nz-tooltip="{{ 'Citizen.modPanel' | translate }}">
          <span nz-icon nzType="more" nzTheme="outline"></span>
        </button>

        <app-entity-settings *ngIf="isEntity && citizen" [(entity)]="citizen"
          entityType="citizen"></app-entity-settings>

        <app-report-button entityType="citizen" [entityId]="citizen?.id">
        </app-report-button>

      </div>
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle="{{ 'Citizen.Employment' | translate }}" [routerLink]="['/company', company?.id]"
      *ngIf="company" style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="company.avatar">
      </nz-avatar>
      {{ company.name }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle="{{ 'Citizen.armyMember' | translate }}"  [routerLink]="['/army', army?.id]" *ngIf="army"
      style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <nz-avatar [nzShape]="'square'" [nzSize]="40" [nzIcon]="'user'" [nzSrc]="army.avatar"></nz-avatar>
      {{ army.name }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle="{{ 'Citizen.partyMember' | translate }}"  [routerLink]="['/party', party?.id]"
      *ngIf="party" style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <nz-avatar [nzShape]="'square'" [nzSize]="40" [nzIcon]="'user'" [nzSrc]="party.avatar"></nz-avatar>
      {{ party.name }}
    </nz-card>

    <nz-card style="width: 100%" nzSize="small" nzTitle="{{ 'Citizen.newspaperEditorr' | translate }}" *ngIf="newspapersEditor.length > 0"
      style="margin-top: 10px" [nzLoading]="isLoading[0]">
      <div *ngFor="let newspaper of newspapersEditor">
        <img class="avatar-small" src="{{ newspaper.avatar }}" />
        <a [routerLink]="['/newspaper', newspaper.id]">{{ newspaper.name }}</a>
      </div>
    </nz-card>

    <app-common-currencies-list *ngIf="isEntity === true && citizen" entityType="citizen" [entityId]="citizenId"
      [showHistoryButton]="true"></app-common-currencies-list>

  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">
    <app-entity-bio *ngIf="isEntity === true || (isEntity === false && citizen?.bio)" [bio]="citizen?.bio"
      [isEntity]="isEntity"></app-entity-bio>

    <app-citizen-profile-skills *ngIf="citizen" [citizen]="citizen"></app-citizen-profile-skills>
    <app-citizen-profile-medals *ngIf="citizen" [citizen]="citizen"></app-citizen-profile-medals>
    <app-citizen-profile-friends [citizenId]="citizenId"></app-citizen-profile-friends>
  </div>
</div>
